Subject: Re: Howto read I2C on MPC5200 Lite

From: Domen Puncer <[email-masked]>
Date: Wed, 4 Apr 2007 10:49:50 +0200

On 21/03/07 09:34 +0100, Matthias Fechner wrote:
> Hi,
> 
> * Matthias Fechner <[email-masked]> [17-03-07 09:57]:
> > ok, I can confirm that this patch fixes the problem for me too.
> > I was now able to read my I2C sensor 97388 successfully and only 2814
> > readfailures happened.
> > That means an errorrate of 2.8% that is ok for me.
> 
> I found now when it happens or better when it not happens.
> 
> I boot my icecube board via NFS. If the board is up and I unplug the
> network I get no read errors.
> If the network is connected (NFS server responding) I got read errors
> on I2C with a rate of approximatly 3-4%.
> Seems to be a problem with the network driver.

I can't reproduce your no-errors behaviour. I tried unplugging network
cable and compiling out the fec driver.

	Domen